JUCE: ValueTree::Iterator Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ValueTree::Iterator Struct Reference
juce_data_structures » values

Iterator for a ValueTree. More...

`#include <juce_ValueTree.h>`

## Public Types
using | difference_type = std::ptrdiff_t
using | value_type = ValueTree
using | reference = ValueTree&
using | pointer = ValueTree*
using | iterator_category = std::forward_iterator_tag

## Public Member Functions
| Iterator (const ValueTree &, bool isEnd)
Iterator & | operator++ ()
bool | operator== (const Iterator &) const
bool | operator!= (const Iterator &) const
ValueTree | operator* () const

## Detailed Description

Iterator for a ValueTree.

You shouldn't ever need to use this class directly - it's used internally by ValueTree::begin() and ValueTree::end() to allow range-based-for loops on a ValueTree.

## Member Typedef Documentation

## ◆ difference_type

using ValueTree::Iterator::difference_type = std::ptrdiff_t

## ◆ value_type

using ValueTree::Iterator::value_type = ValueTree

## ◆ reference

using ValueTree::Iterator::reference = ValueTree&

## ◆ pointer

using ValueTree::Iterator::pointer = ValueTree*

## ◆ iterator_category

using ValueTree::Iterator::iterator_category = std::forward_iterator_tag

## Constructor & Destructor Documentation

## ◆ Iterator()

ValueTree::Iterator::Iterator | ( | const ValueTree & | ,
|  | bool | isEnd )

## Member Function Documentation

## ◆ operator++()

Iterator & ValueTree::Iterator::operator++ | ( |  | ) |

## ◆ operator==()

bool ValueTree::Iterator::operator== | ( | const Iterator & |  | ) | const

## ◆ operator!=()

bool ValueTree::Iterator::operator!= | ( | const Iterator & |  | ) | const

## ◆ operator*()

ValueTree ValueTree::Iterator::operator* | ( |  | ) | const

The documentation for this struct was generated from the following file:

- juce_ValueTree.h